######################
# agent.grid
######################

type=agent.AgentDeinstallEvent
code=4.1.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was deleted from the Config File
info=当客户站点的管理员从代理配置中删除主机时会生成此事件，因此也会终止从
'该主机进行的监控。

type=agent.ConfigureEvent.revision_maintenance_cron_list
code=4.46.220
severity=0
actionable=0
desc=Automatic Revision Maintenance report of patches required on the system was run.

type=agent.SystemRelease
code=4.54.16
severity=0
actionable=0
desc=This 6920 system was released by admin-20 at 2004-01-01 

type=agent.SystemReserve
code=4.55.16
severity=0
actionable=0
desc=This 6920 system was reserved by admin-20 at 2004-01-01  for maintenance


type=agent.ConfigureEvent
code=4.46.16
severity=1
actionable=0
desc=Configure device [device_name] on Sun Solution

type=agent.ProviderEvent
code=4.47.16
severity=1
actionable=0
desc=Provider 'sae' was turned on a the request of '171.20.20.10'


type=agent.AgentInstallEvent
code=4.2.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was Added to the Config File
cause=通过运行 ras_install 安装并激活了代理。  
action=1. 检查 Storage Automated Diagnostic Environment UI，确保新代理
'以预期的方式运行。


type=agent.ValueChangeEvent.system_warnings
code=4.3.142
severity=1
actionable=0
desc=Storage A.D.E agent system errors.
info=试图运行代理时产生错误。
'该代理调用了一些命令和应用程序。
cause=由于超时或由于对主机、设备和/或应用程序自身的访问问题，信息中所描述的
'应用程序偶尔会失败。
<include solution.gui_action>
action=使用 Storage A.D.E. UI 进一步隔离，以获取事件描述中指定设备的当前
'运行状态，以及系统中可能已发生的所有其他事件。
'       - 查看报警详细信息
'       - 搜索事件日志
</include>

type=agent.ValueChangeEvent.system_errors
code=4.3.99
severity=2
actionable=1
desc=Storage A.D.E agent system errors.
info=试图运行代理时产生出错。
'该代理调用了一些命令和应用程序。
cause=由于超时或由于对主机、设备和/或单独的应用程序的访问问题，信息中所描述的
'应用程序和命令偶尔会失败。
<include solution.gui_action>
action=使用 Storage A.D.E. UI 进一步隔离，以获取事件描述中指定设备的当前
'运行状态，以及系统中可能已发生的所有其他事件。
'       - 查看报警详细信息
'       - 搜索事件日志
</include>


type=agent.AlternateMaster.release
code=4.53.183
severity=1
actionable=0
desc=Master on '[Host_Name]' is back, Alternate-master '[Host_Name]' releasing
info=当备用主要主机无法 ping 到当前的主要主机时，它将接管主要主机的工作并重定向
'所有从属主机，以将从属主机的信息发送给备用主要主机。
'成为主要主机的备用主要主机继续监视原来的主要主机，并在重新建立通信后立即放弃该角色。
cause=已重新建立以太网通信。
action=1. 查找原来的主要主机停机的原因。
'2. 通过将浏览器指向所有从属主机（或指向许多从属主机的一部分），确保将所有从属主机
'重定向为响应原来的主要主机，从而确保到主机的链接正常。


type=agent.AlternateMaster.start
code=4.53.184
severity=1
actionable=1
desc=Master on '[Host_Name]' is down, Alternate-master on '[Host_Name]' taking over
info=当备用主要主机无法从当前的主要主机获得 ping 命令的成功响应时，它将接管主要主机
'的工作并重定向所有从属主机，以将从属主机的信息发送给备用主要主机。'成为主要主机的
'备用主要主机继续监视原来的主要主机，并在重新建立通信后立即放弃该角色。
'警告：受主要主机监视的设备直到主要主机再次工作时才受到监视。
cause=该事件是由于与主要主机通过以太网连接进行通信发生故障所致。
action=1. 检查原来的主要主机操作环境是否完全可以正常运行。
'2. 检查系统之间的以太网连接。
'3. 检查另一系统与原来的主要主机之间的以太网连接。
'4. 检查备用主要主机 (现在是主要主机) 与另一系统的以太网连接。


type=agent.CommunicationEstablishedEvent.oob
code=4.11.31
pattern=e
severity=0
actionable=0
desc=Access to '[Host_Name]' at [IP_Address] regained
info=Storage A.D.E. 在开始执行时检查主要主机与它的所有从属主机之间的通信，
'如果某一主机以前出现过故障而现在恢复正常，则会生成此事件。
cause=每个主要主机代理运行时会 ping 每个从属主机；如果 ping 失败，则报告此事件。
'根本原因在于，存在一些因素，会对以太网通信造成不利影响。
action=1. 查看是否曾经重新引导过从属主机的操作环境，并检查这是否是计划内的操作。
'2. 确保完全了解以太网故障原因以便将来进行故障排除。


type=agent.CommunicationLostEvent.ntc
code=4.12.30
pattern=ntc
severity=2
actionable=1
desc=Lost Communication(oob) with Terminal concentrator
info=该事件仅会在 Storage Solution System (3900/6900/6320) 中发生，意味着如果
'需要传输一个事件则调制解调器将无法访问。
cause=NTC 已连接到 SP 局域网，并且服务处理器和 NTC (网络终端集中器) 之间不再
'可能进行通信。
action=1. 确保 NTC 单元接通电源并且完全可以正常运行。
'        a. 前面板最左侧的 3 个 LED 指示灯应亮起。
'2. 如果同一 SP 局域网中存在其他存储解决方案系统，请检查与另一个存储解决方案系统
'的以太网通信。
'3. 使用以下命令查看是否有 PhoneHome 排队以等待发送。
'   # /usr/bin/uustat -a
'4. 请与远程解决方案中心联系以获得补救办法。


type=agent.CommunicationLostEvent.oob
code=4.12.31
severity=3
actionable=1
desc=Cannot access '[Host_Name]' at [IP_Address] (using udp ping)
info=Storage A.D.E. 在开始执行时检查主要主机与它的所有从属主机之间的通信，
'如果某一主机无法响应，则生成此事件。
' 注意：如果这种情况没有修复，将每 8 个小时重复发送一次该消息。
cause=每个主要主机代理运行时会 ping 每个从属主机；如果 ping 失败，则报告此事件。
action=1. 检查主要主机和从属主机之间的以太网连接。
'2. 检验从属主机操作环境是否完全可以正常运行。
'3. 在使用集线器/路由器的位置，检查设备的电源和连接。
'4. 检查其他系统之间的以太网连接。


type=agent.HeartbeatEvent
code=4.15.16
severity=0
actionable=0
desc=Heartbeat
info=除非已从此代理进行了一次传输操作，否则每天都会生成 Heartbeat 事件。
cause=Storage A.D.E. 没有在提供程序配置中指定的时间间隔内将事件发送给已配置的
'提供程序。
action=1. 通常不需要任何操作。
